/******************************************************************************/
/* CodeSign, by LoRd_MuldeR <MuldeR2@GMX.de>                                  */
/* This work has been released under the CC0 1.0 Universal license!           */
/******************************************************************************/

#ifndef _COMMON_H
#define _COMMON_H

#include "platform.h"
#include <stdint.h>

#define PASSWD_MINLEN 8

void print_logo(const char *const app_name);
void print_license(void);
char *convert_CHAR_to_UTF8(const CHAR_T *str);
char *read_line_from_file(FILE *const file, const int trim);
uint64_t get_current_time_usec(void);
void store_uint64(unsigned char *const buffer, const uint64_t value);
uint64_t load_uint64(const unsigned char *const buffer);
const unsigned char* load_resource_data(const CHAR_T *const name, unsigned int *const length);
int force_flush(FILE *const file);

#endif /*_COMMON_H*/
