#ifndef _PLATFORM_H
#define _PLATFORM_H

#include "platform.h"
#include <stdlib.h>
#include <stdio.h>
#include <malloc.h>

#ifdef _WIN32
#include <share.h>

#define CHAR_T wchar_t
#define MAIN wmain
#define FOPEN(X,Y) _wfsopen((X),(Y),_SH_SECURE)
#define _T(X) L##X
#define T(X) _T(X)

#else

#define CHAR_T char
#define MAIN main
#define FOPEN(X,Y) fopen((X),(Y))
#define T(X) X

#endif

#endif /*_PLATFORM_H*/
